Subject: bug#24456: 25.1; [PATCH] Caps-lock doesn't affect interpretation of key chords

From: Dima Kogan <[email-masked]>
Date: Mon, 19 Sep 2016 13:28:56 -0700

Eli Zaretskii <[email-masked]> writes:

> What exactly requires testing for ASCII lower-case letters in your
> patch?  Why only ASCII?

I'm trying to detect the caps-lock by finding capital letters that were
produced without Shift (and vice versa). I can do something like

  !shift_pressed && isupper(c)

but that doesn't work with wide characters. There's iswupper(c). Are the
wide chars it takes the same ones we get in that function? How about
non-latin scripts? Fundamentally I'm the worst person to be testing
this, sadly.